#include "DreamSnare.h"
#include "Net/UnrealNetwork.h"
#include "AuthoritativePoolableActorComponent.h"
#include "Components/SphereComponent.h"

class ASurvivor;

void ADreamSnare::OnRep_Velocity()
{

}

void ADreamSnare::OnRep_IsActive()
{

}

void ADreamSnare::Multicast_OnSnareTriggered_Implementation(ASurvivor* survivorTriggering)
{

}

bool ADreamSnare::IsSnareStatic() const
{
	return false;
}

void ADreamSnare::InitializeSnare()
{

}

void ADreamSnare::Authority_OnAcquiredChanged(const bool acquired)
{

}

void ADreamSnare::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(ADreamSnare, _isActive);
	DOREPLIFETIME(ADreamSnare, _linkedAbility);
	DOREPLIFETIME(ADreamSnare, _startPosition);
	DOREPLIFETIME(ADreamSnare, _velocity);
}

ADreamSnare::ADreamSnare()
{
	this->_authoritativePoolableActorComponent = CreateDefaultSubobject<UAuthoritativePoolableActorComponent>(TEXT("PoolableActorComponent"));
	this->_isActive = false;
	this->_isStatic = false;
	this->_dreamSnareCollision = CreateDefaultSubobject<USphereComponent>(TEXT("DreamSnareCollision"));
	this->_rotationInterpSpeed = 100.000000;
	this->_maxGroundCheckTry = 5;
}
